org.eclipse.emf.cdo.common.util

## Interface CDORenameContext

-     public interface CDORenameContext

  Since:
    4.4
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()`
    `java.lang.String` | `getType()`
    `void` | `setName(java.lang.String name)`
    `java.lang.String` | `validateName(java.lang.String name)`

- - ### Method Detail

    - #### getType

          java.lang.String getType()

    - #### getName

          java.lang.String getName()

    - #### setName

          void setName(java.lang.String name)

    - #### validateName

          java.lang.String validateName(java.lang.String name)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html